# Uses of Class
org.bukkit.inventory.StonecuttingRecipe

Packages that use StonecuttingRecipe
Package
Description
io.papermc.paper.event.player
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.

## Uses of StonecuttingRecipe in io.papermc.paper.event.player

Methods in io.papermc.paper.event.player that return StonecuttingRecipe
Modifier and Type
Method
Description
`@NotNull StonecuttingRecipe`
PlayerStonecutterRecipeSelectEvent.`getStonecuttingRecipe()`
Methods in io.papermc.paper.event.player with parameters of type StonecuttingRecipe
Modifier and Type
Method
Description
`void`
PlayerStonecutterRecipeSelectEvent.`setStonecuttingRecipe(@NotNull StonecuttingRecipe stonecuttingRecipe)`
Constructors in io.papermc.paper.event.player with parameters of type StonecuttingRecipe
Modifier
Constructor
Description
``
`PlayerStonecutterRecipeSelectEvent(@NotNull Player player, @NotNull StonecutterInventory stonecutterInventory, @NotNull StonecuttingRecipe stonecuttingRecipe)`

## Uses of StonecuttingRecipe in org.bukkit.inventory

Methods in org.bukkit.inventory that return StonecuttingRecipe
Modifier and Type
Method
Description
`@NotNull StonecuttingRecipe`
StonecuttingRecipe.`setInput(@NotNull Material input)`
Sets the input of this cooking recipe.
`@NotNull StonecuttingRecipe`
StonecuttingRecipe.`setInputChoice(@NotNull RecipeChoice input)`
Sets the input of this cooking recipe.